<?php 
/**
PHP functions & Hooks:
*/
//Front Page Banner
if (!function_exists('newsze_front_page_banner_section')) :
    /**
     *
     * @since newsze
     *
     */
    function newsze_front_page_banner_section()
    {
        if (is_front_page() || is_home()) {
        $newses_enable_main_slider = newses_get_option('show_main_news_section');
        $select_vertical_slider_news_category = newses_get_option('select_vertical_slider_news_category');
        $vertical_slider_number_of_slides = newses_get_option('vertical_slider_number_of_slides');
        $all_posts_vertical = newses_get_posts($vertical_slider_number_of_slides, $select_vertical_slider_news_category);
        $newses_select_trending_setting = newses_get_option('newses_select_trending_setting');
        if (($newses_select_trending_setting == 'left')) {
        do_action('newsze_action_front_page_trending_post');
        }
            ?>

                <div class="col-md-8">
               <div class="wd-back"> 
                
                <div class="homemain swiper-container">
                    <div class="swiper-wrapper">
                        <?php newses_get_block('list', 'banner'); ?>
                   </div>
                  <!-- Add Arrows -->
                  <div class="swiper-button-next"></div>
                  <div class="swiper-button-prev"></div>
                </div>
                </div>
                <?php do_action('newsze_action_banner_tabbed_posts'); ?>
            </div>
            <?php 
                if (($newses_select_trending_setting == 'right')) {
                  do_action('newsze_action_front_page_trending_post');
                }
            ?>
                  

        <!--==/ Home Slider ==-->
        
        <!-- end slider-section -->
        <?php }
    }
endif;
add_action('newsze_action_front_page_main_section_1', 'newsze_front_page_banner_section', 10);

//Banner Tabed Section
if (!function_exists('newsze_banner_tabbed_posts')):
    /**
     *
     * @since newsze 1.0.0
     *
     */
    function newsze_banner_tabbed_posts()
    {
            
            if(is_front_page() || is_home())
            { 
            ?>
            <div class="row">
                    <?php
                        
                        $number_of_posts = '2';
                        $newses_editor_news_category = newses_get_option('select_editor_news_category');
                        $newses_all_posts_main = newses_get_posts($number_of_posts, $newses_editor_news_category);
                        ?>
                        <?php if ($newses_all_posts_main->have_posts()) :
                        while ($newses_all_posts_main->have_posts()) : $newses_all_posts_main->the_post();
                        global $post;
                        $newses_url = newses_get_freatured_image_url($post->ID, 'newses-slider-full'); ?>
                            <div class="col-md-6">
                                <div class="wd-back-2-post"> 
                                    <div class="mg-blog-post-box sm mb-4">
                                        <div class="mg-blog-thumb lg back-img" style="background-image: url('<?php echo esc_url($newses_url); ?>');">
                                            <a href="<?php the_permalink(); ?>" class="link-div"></a>
                                            <div class="mg-blog-category">
                                            <?php newses_post_categories(); ?> 
                                            </div>
                                            <span class="post-form"><i class="fa fa-camera"></i></span>
                                        </div>
                                        <article class="small minh">
                                          <h4 class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                                        </article>
                                    </div>
                                </div>
                            </div>
                          <?php endwhile;
                                endif;
                                wp_reset_postdata();
                           ?>
        </div>
        <?php

    } }
endif;

add_action('newsze_action_banner_tabbed_posts', 'newsze_banner_tabbed_posts', 10);

//Front Page Trending Post
if (!function_exists('newsze_front_page_trending_post_section')) :
    /**
     *
     * @since Newsze
     *
     */
    function newsze_front_page_trending_post_section()
    {
       if (is_front_page() || is_home()) {
                $trending_post_section_enable = newses_get_option('trending_post_section_enable');
            if ($trending_post_section_enable):

                $number_of_posts = '5';

                $trending_category = newses_get_option('select_trending_post_category');
                $all_trending_posts = newses_get_posts( $number_of_posts, $trending_category);
                global $post;
                ?>

        <div class="col-md-4">


              <div class="mg-bigp wd-back">
               <div class="small-list-post">
                    <?php if ($all_trending_posts->have_posts()) :
                          while ($all_trending_posts->have_posts()) : $all_trending_posts->the_post();
                          $url = newses_get_freatured_image_url($post->ID, 'thumbnail');
                          $neweze_default_url = get_stylesheet_directory_uri('images/default.png');
                      ?>
                    
                      <div class="small-post media">
                        <div class="img-small-post back-img" style="background-image: url('<?php if($url) { echo esc_url($url); } else { echo esc_url($neweze_default_url); } ?>');">
                                          <a href="<?php the_permalink(); ?>" class="link-div"></a>
                        </div>
                        <div class="small-post-content media-body">
                        <div class="mg-blog-category"> <?php newses_post_categories(); ?> </div>
                        <h5><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
                        </div>
                      </div>
                    <?php  endwhile;
                           endif;
                           wp_reset_postdata();
                      ?>
                    </div>
                </div>
           </div>
        <?php endif; }
    }
endif;
add_action('newsze_action_front_page_trending_post', 'newsze_front_page_trending_post_section', 30);